public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/libredwg/
Date: Mon, 24 May 2021 08:37:19 +0000 (UTC)	[thread overview]
Message-ID: <1621845028.39475d0f0bd78c990693517044643cea39477369.andrewammerlaan@gentoo> (raw)

commit:     39475d0f0bd78c990693517044643cea39477369
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon May 24 08:30:28 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon May 24 08:30:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39475d0f

media-gfx/libredwg: import from ::sci

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 media-gfx/libredwg/Manifest               |  1 +
 media-gfx/libredwg/libredwg-0.12.4.ebuild | 78 +++++++++++++++++++++++++++++++
 media-gfx/libredwg/metadata.xml           | 12 +++++
 3 files changed, 91 insertions(+)

diff --git a/media-gfx/libredwg/Manifest b/media-gfx/libredwg/Manifest
new file mode 100644
index 00000000000..1899b90fb65
--- /dev/null
+++ b/media-gfx/libredwg/Manifest
@@ -0,0 +1 @@
+DIST libredwg-0.12.4.tar.gz 18318912 BLAKE2B 21ff443881c19782c747ddf880eba23090295432edf4367161472aeef970e1b93983967e667ca2c3e140bf0b97e7b238bbe4a342815df365cee10bde83a04178 SHA512 df9424f475be512a6e9e02a1156a7d6a966f684f5753f420843593ee9dc236bd33bd10dbd627bab1b9adab9b8e7cb3a6b464c15e643ae755bc7e11974c05cd7a

diff --git a/media-gfx/libredwg/libredwg-0.12.4.ebuild b/media-gfx/libredwg/libredwg-0.12.4.ebuild
new file mode 100644
index 00000000000..f6d7f18dea1
--- /dev/null
+++ b/media-gfx/libredwg/libredwg-0.12.4.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DOCS_BUILDER="doxygen"
+# File is hardcoded to be run from ../ so we use this instead of DOCS_DIR
+DOCS_CONFIG_NAME="doc/Doxyfile"
+
+inherit docs python-single-r1 perl-functions
+
+DESCRIPTION="C library to handle DWG files"
+HOMEPAGE="https://www.gnu.org/software/libredwg/"
+SRC_URI="https://github.com/LibreDWG/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# https://github.com/LibreDWG/libredwg/issues/342
+RESTRICT="test"
+
+IUSE="debug python perl static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	python? ( ${PYTHON_DEPS} )
+	perl? ( dev-lang/perl )
+	dev-libs/libpcre2
+	dev-libs/pslib
+"
+DEPEND="${RDEPEND}
+	python? ( dev-lang/swig )
+	perl? ( dev-lang/swig )
+"
+
+src_configure() {
+	perl_set_version
+	local myconf=(
+		--enable-write
+		--enable-dxf
+		--enable-json
+		--disable-gcov
+		$(use_enable !debug release)
+		$(use_enable debug trace)
+		$(use_enable debug)
+		$(use_enable static-libs static)
+		$(use_enable python python "${EPYTHON}")
+		$(usex perl "--with-perl-install=vendor" "--with-perl-install=no")
+	)
+
+	if use python || use perl; then
+		myconf+=( --enable-bindings )
+	else
+		myconf+=( --disable-bindings )
+	fi
+
+	econf ${myconf[@]}
+
+	# Fix variable references itself error, fails in src_install otherwise.
+	# Can't put this in src_prepare and use eautoreconf because eautoreconf
+	# only works inside a git repository for this package.
+	sed -i -e 's/TEXINPUTS = "$(TEXINPUTS)$(PATH_SEPARATOR)$(TEXINFO_TEX_DIR)"/TEXINPUTS = "$(PATH_SEPARATOR)$(TEXINFO_TEX_DIR)"/g' doc/Makefile || die
+}
+
+src_compile() {
+	perl_set_version
+	emake
+	docs_compile
+}
+
+src_install() {
+	perl_set_version
+	default
+	use python && python_optimize
+	use perl && perl_domodule bindings/perl/LibreDWG.pm
+}

diff --git a/media-gfx/libredwg/metadata.xml b/media-gfx/libredwg/metadata.xml
new file mode 100644
index 00000000000..a65951be266
--- /dev/null
+++ b/media-gfx/libredwg/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>andrewammerlaan@gentoo.org</email>
+		<name>Andrew Ammerlaan</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">LibreDWG/libredwg</remote-id>
+		<bugs-to>https://github.com/LibreDWG/libredwg/issues</bugs-to>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2021-05-24  8:37 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-24  8:37 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-07-19 10:46 [gentoo-commits] repo/gentoo:master commit in: media-gfx/libredwg/ Andrew Ammerlaan
2021-11-28 12:51 Andrew Ammerlaan
2022-02-19 11:12 Andrew Ammerlaan
2022-02-22 10:36 Andrew Ammerlaan
2022-06-01 12:56 Andrew Ammerlaan
2022-06-06  9:06 Andrew Ammerlaan
2022-11-08  8:52 Andrew Ammerlaan
2022-11-08  8:52 Andrew Ammerlaan
2023-05-01 13:16 Andrew Ammerlaan
2023-06-27 12:06 Andrew Ammerlaan
2023-06-27 12:06 Andrew Ammerlaan
2023-08-17  7:49 Andrew Ammerlaan
2023-09-14  9:00 Andrew Ammerlaan
2023-09-14  9:00 Andrew Ammerlaan
2023-11-08 15:01 Andrew Ammerlaan
2024-01-15 11:14 Andrew Ammerlaan
2024-01-15 11:14 Andrew Ammerlaan
2024-02-06 11:30 Andrew Ammerlaan
2024-02-06 11:30 Andrew Ammerlaan
2024-02-13 10:15 Andrew Ammerlaan
2024-02-26 17:09 Andrew Ammerlaan
2024-03-02 14:44 Andrew Ammerlaan
2025-01-02 15:20 Nowa Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1621845028.39475d0f0bd78c990693517044643cea39477369.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox